org.apache.lucene.index

## Class AtomicReaderContext

- java.lang.Object
- - org.apache.lucene.index.IndexReaderContext
  - - org.apache.lucene.index.AtomicReaderContext

-     public final class AtomicReaderContext
      extends IndexReaderContext

  `IndexReaderContext` for `AtomicReader` instances.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `docBase` The readers absolute doc base
    `int` | `ord` The readers ord in the top-level's leaves array

    - ### Fields inherited from class org.apache.lucene.index.IndexReaderContext

      `docBaseInParent, isTopLevel, ordInParent, parent`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<IndexReaderContext>` | `children()` Returns the context's children iff this context is a composite context otherwise `null`.
    `List<AtomicReaderContext>` | `leaves()` Returns the context's leaves if this context is a top-level context.
    `AtomicReader` | `reader()` Returns the `IndexReader`, this context represents.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ord

          public final int ord

      The readers ord in the top-level's leaves array

    - #### docBase

          public final int docBase

      The readers absolute doc base

  - ### Method Detail

    - #### leaves

          public List<AtomicReaderContext> leaves()

      Description copied from class: `IndexReaderContext`
      Returns the context's leaves if this context is a top-level context. For convenience, if this is an `AtomicReaderContext` this returns itself as the only leaf.

      Note: this is convenience method since leaves can always be obtained by walking the context tree using `IndexReaderContext.children()`.

      Specified by:
        `leaves` in class `IndexReaderContext`
      See Also:
        `IndexReaderContext.children()`

    - #### children

          public List<IndexReaderContext> children()

      Description copied from class: `IndexReaderContext`
      Returns the context's children iff this context is a composite context otherwise `null`.
      Specified by:
        `children` in class `IndexReaderContext`

    - #### reader

          public AtomicReader reader()

      Description copied from class: `IndexReaderContext`
      Returns the `IndexReader`, this context represents.
      Specified by:
        `reader` in class `IndexReaderContext`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.